Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Interface PrintConfig

    public interface PrintConfig

Field Summary
`static java.lang.String` | `CHROMATICITY_COLOR` Color printing.
`static java.lang.String` | `CHROMATICITY_MONOCHROME` Monochrome printing.
`static java.lang.String` | `ORIENTATION_LANDSCAPE` The content will be imaged across the long edge of the medium.
`static java.lang.String` | `ORIENTATION_PORTRAIT` The content will be imaged across the short edge of the medium.
`static java.lang.String` | `ORIENTATION_REVERSE_LANDSCAPE` The content will be imaged across the long edge of the medium, but in the opposite manner from landscape.
`static java.lang.String` | `ORIENTATION_REVERSE_PORTRAIT` The content will be imaged across the short edge of the medium, but in the opposite manner from portrait.
`static java.lang.String` | `QUALITY_DRAFT` Lowest quality available on the printer.
`static java.lang.String` | `QUALITY_HIGH` Highest quality available on the printer.
`static java.lang.String` | `QUALITY_NORMAL` Normal or intermediate quality on the printer.
`static java.lang.String` | `SHEETCOLLATE_COLLATED` Sheets within a document appear in collated order when multiple copies are printed.
`static java.lang.String` | `SHEETCOLLATE_UNCOLLATED` Sheets within a document appear in uncollated order when multiple copies are printed.
`static java.lang.String` | `SIDES_DUPLEX` Imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, such that the orientation of each pair of print-stream pages on the medium would be correct for the reader as if for binding on the long edge.
`static java.lang.String` | `SIDES_ONE_SIDED` Imposes each consecutive print-stream page upon the same side of consecutive media sheets.
`static java.lang.String` | `SIDES_TUMBLE` Imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, such that the orientation of each pair of print-stream pages on the medium would be correct for the reader as if for binding on the short edge.
`static java.lang.String` | `TRAY_BOTTOM` Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
`static java.lang.String` | `TRAY_ENVELOPE` Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
`static java.lang.String` | `TRAY_LARGE_CAPACITY` Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
`static java.lang.String` | `TRAY_MAIN` Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
`static java.lang.String` | `TRAY_MANUAL` Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
`static java.lang.String` | `TRAY_MIDDLE` Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
`static java.lang.String` | `TRAY_SIDE` Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
`static java.lang.String` | `TRAY_TOP` Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function

Field Detail

### TRAY_BOTTOM

    static final java.lang.String TRAY_BOTTOM

  Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
  The bottom input tray in the printer.

  See Also:
    `CustomMediaTray`, Constant Field Values

### TRAY_ENVELOPE

    static final java.lang.String TRAY_ENVELOPE

  Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
  The bottom input tray in the printer.

  See Also:
    `CustomMediaTray`, Constant Field Values

### TRAY_LARGE_CAPACITY

    static final java.lang.String TRAY_LARGE_CAPACITY

  Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
  The bottom input tray in the printer.

  See Also:
    `CustomMediaTray`, Constant Field Values

### TRAY_MANUAL

    static final java.lang.String TRAY_MANUAL

  Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
  The bottom input tray in the printer.

  See Also:
    `CustomMediaTray`, Constant Field Values

### TRAY_MAIN

    static final java.lang.String TRAY_MAIN

  Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
  The bottom input tray in the printer.

  See Also:
    `CustomMediaTray`, Constant Field Values

### TRAY_SIDE

    static final java.lang.String TRAY_SIDE

  Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
  The bottom input tray in the printer.

  See Also:
    `CustomMediaTray`, Constant Field Values

### TRAY_TOP

    static final java.lang.String TRAY_TOP

  Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
  The bottom input tray in the printer.

  See Also:
    `CustomMediaTray`, Constant Field Values

### TRAY_MIDDLE

    static final java.lang.String TRAY_MIDDLE

  Deprecated. Please use `CustomMediaTray` instead it to implement the medial tray function
  The bottom input tray in the printer.

  See Also:
    `CustomMediaTray`, Constant Field Values

### ORIENTATION_LANDSCAPE

    static final java.lang.String ORIENTATION_LANDSCAPE

  The content will be imaged across the long edge of the medium.

  See Also:
    Constant Field Values

### ORIENTATION_PORTRAIT

    static final java.lang.String ORIENTATION_PORTRAIT

  The content will be imaged across the short edge of the medium.

  See Also:
    Constant Field Values

### ORIENTATION_REVERSE_LANDSCAPE

    static final java.lang.String ORIENTATION_REVERSE_LANDSCAPE

  The content will be imaged across the long edge of the medium, but in the opposite manner from landscape.

  See Also:
    Constant Field Values

### ORIENTATION_REVERSE_PORTRAIT

    static final java.lang.String ORIENTATION_REVERSE_PORTRAIT

  The content will be imaged across the short edge of the medium, but in the opposite manner from portrait.

  See Also:
    Constant Field Values

### CHROMATICITY_MONOCHROME

    static final java.lang.String CHROMATICITY_MONOCHROME

  Monochrome printing.

  See Also:
    Constant Field Values

### CHROMATICITY_COLOR

    static final java.lang.String CHROMATICITY_COLOR

  Color printing.

  See Also:
    Constant Field Values

### QUALITY_DRAFT

    static final java.lang.String QUALITY_DRAFT

  Lowest quality available on the printer.

  See Also:
    Constant Field Values

### QUALITY_NORMAL

    static final java.lang.String QUALITY_NORMAL

  Normal or intermediate quality on the printer.

  See Also:
    Constant Field Values

### QUALITY_HIGH

    static final java.lang.String QUALITY_HIGH

  Highest quality available on the printer.

  See Also:
    Constant Field Values

### SIDES_DUPLEX

    static final java.lang.String SIDES_DUPLEX

  Imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, such that the orientation of each pair of print-stream pages on the medium would be correct for the reader as if for binding on the long edge.

  See Also:
    Constant Field Values

### SIDES_ONE_SIDED

    static final java.lang.String SIDES_ONE_SIDED

  Imposes each consecutive print-stream page upon the same side of consecutive media sheets.

  See Also:
    Constant Field Values

### SIDES_TUMBLE

    static final java.lang.String SIDES_TUMBLE

  Imposes each consecutive pair of print-stream pages upon front and back sides of consecutive media sheets, such that the orientation of each pair of print-stream pages on the medium would be correct for the reader as if for binding on the short edge.

  See Also:
    Constant Field Values

### SHEETCOLLATE_COLLATED

    static final java.lang.String SHEETCOLLATE_COLLATED

  Sheets within a document appear in collated order when multiple copies are printed.

  See Also:
    Constant Field Values

### SHEETCOLLATE_UNCOLLATED

    static final java.lang.String SHEETCOLLATE_UNCOLLATED

  Sheets within a document appear in uncollated order when multiple copies are printed.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD